今天发现了一个小问题,关于deepin更新的。

因为学校网络对github不太友好,所以clone之前我都是习惯挂上*代*理* ,昨天忘了关闭了。。之后更新运行update就一直报错,更新提示仓库没有release文件,无法安全地用该源进行更新,所以默认禁用该源

[email protected]:/etc/apt# apt-get update
忽略:1 http://mirrors.aliyun.com/deepin unstable InRelease
错误:2 http://mirrors.aliyun.com/deepin unstable Release
  Unsupported proxy configured: socks5://127.0.0.1:1080
正在读取软件包列表... 完成
E: 仓库 “http://mirrors.aliyun.com/deepin unstable Release” 没有 Release 文件。
N: 无法安全地用该源进行更新,所以默认禁用该源。
N: 参见 apt-secure(8) 手册以了解仓库创建和用户配置方面的细节。

然后百度一把梭也未果,我突发奇想的把代理关闭了。。然后就可以了

[email protected]:/etc/apt# unset http_proxy
[email protected]:/etc/apt# unset https_proxy
[email protected]:/etc/apt# apt update
获取:1 http://mirrors.aliyun.com/deepin unstable InRelease [11.4 kB]
获取:2 http://mirrors.aliyun.com/deepin unstable/non-free Sources [221 kB]
获取:3 http://mirrors.aliyun.com/deepin unstable/contrib Sources [102 kB]
获取:4 http://mirrors.aliyun.com/deepin unstable/main Sources [13.5 MB]
获取:5 http://mirrors.aliyun.com/deepin unstable/contrib i386 Packages [178 kB]                          
获取:6 http://mirrors.aliyun.com/deepin unstable/non-free i386 Packages [277 kB]                         
获取:7 http://mirrors.aliyun.com/deepin unstable/main amd64 Packages [20.3 MB]                           
获取:8 http://mirrors.aliyun.com/deepin unstable/contrib amd64 Packages [184 kB]                         
获取:9 http://mirrors.aliyun.com/deepin unstable/non-free amd64 Packages [341 kB]                        
获取:10 http://mirrors.aliyun.com/deepin unstable/main i386 Packages [20.2 MB]                           
已下载 55.2 MB,耗时 3分 19秒 (278 kB/s)                                                                 
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
所有软件包均为最新。

不明白为啥会这样= =。。


请相信你的指尖拥有改变世界的力量。